summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorDaniel Popov2019-05-05 23:18:52 +0700
committerDaniel Popov2019-05-05 23:18:52 +0700
commitbce352ebcba748b165a2beac7e12ff86a9f56a18 (patch)
treec3f4a67c109aa5a1db3fd3c3b35d3e8faad8c85c
parentb84c9a375aca0b27ae87de39e8d7633adbb03bff (diff)
downloadaur-bce352ebcba748b165a2beac7e12ff86a9f56a18.tar.gz
Return to main ruby package as depend (program works correctly). Add bundler 1.17.1 installation
-rw-r--r--.SRCINFO7
-rw-r--r--PKGBUILD12
-rw-r--r--drivesync2
3 files changed, 11 insertions, 10 deletions
diff --git a/.SRCINFO b/.SRCINFO
index f19c8f5be63..983adf4aa7b 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,16 +1,15 @@
pkgbase = drivesync
pkgdesc = Google Drive synchronization for Linux
pkgver = 1.4.0
- pkgrel = 1
+ pkgrel = 2
url = https://github.com/MStadlmeier/drivesync
arch = any
license = MIT
- makedepends = ruby2.5-bundler
- depends = ruby2.5
+ depends = ruby>=2.5.0
source = https://github.com/MStadlmeier/drivesync/archive/1.4.0.tar.gz
source = drivesync
sha512sums = 9f08348ffeaf783832b817cda3616d9206492474767a2ffc772d6d7405af926c64f2e20c7e332d39d35156afa09d6388371469ba8c62b57642a92775a5de9a16
- sha512sums = e04598797da983c07a862a9a0f7e6545e41f5a0f61673aa1b327dd1dfd7e1166a2d76b0d3548e84e2935e1a9457f9e9600351ccfbcf68dcceb10dea3206094c3
+ sha512sums = e5191b8fb8fe4659a8c1fd95def971045c00ba56cb069b83af3eb82e62baf2cb31a74b4424f6e924813eed2385014924af1149890c25ed36bb05488ff33befb0
pkgname = drivesync
diff --git a/PKGBUILD b/PKGBUILD
index 347bf74c0dd..b92e6cf2a4c 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -2,22 +2,24 @@
pkgname=drivesync
pkgver=1.4.0
-pkgrel=1
+pkgrel=2
pkgdesc='Google Drive synchronization for Linux'
arch=('any')
url='https://github.com/MStadlmeier/drivesync'
license=('MIT')
-depends=('ruby2.5')
-makedepends=('ruby2.5-bundler')
+depends=('ruby>=2.5')
provides=("drivesync")
source=("https://github.com/MStadlmeier/$pkgname/archive/$pkgver.tar.gz"
'drivesync')
sha512sums=('9f08348ffeaf783832b817cda3616d9206492474767a2ffc772d6d7405af926c64f2e20c7e332d39d35156afa09d6388371469ba8c62b57642a92775a5de9a16'
- 'e04598797da983c07a862a9a0f7e6545e41f5a0f61673aa1b327dd1dfd7e1166a2d76b0d3548e84e2935e1a9457f9e9600351ccfbcf68dcceb10dea3206094c3')
+ 'e5191b8fb8fe4659a8c1fd95def971045c00ba56cb069b83af3eb82e62baf2cb31a74b4424f6e924813eed2385014924af1149890c25ed36bb05488ff33befb0')
build() {
cd "$pkgname-$pkgver"
- bundle-2.5 install --no-cache --deployment
+ # install bundler 1.17.1, upper versions does not work with this package
+ gem install bundler -v 1.17.1
+ PATH="$(gem environment gempath):$PATH"
+ bundle install --no-cache --deployment
}
package() {
diff --git a/drivesync b/drivesync
index b6909e616e9..baf6c849136 100644
--- a/drivesync
+++ b/drivesync
@@ -1,3 +1,3 @@
#!/usr/bin/bash
-GEM_PATH='/usr/share/drivesync/vendor/bundle/ruby/2.5.0/' ruby-2.5 /usr/share/drivesync/drivesync.rb
+GEM_PATH='/usr/share/drivesync/vendor/bundle/ruby/2.6.0/' ruby /usr/share/drivesync/drivesync.rb